Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: [SOLVED] PunkBuster update failure

  1. #1
    Join Date
    Jun 2006
    Location
    Uruguay
    Beans
    35
    Distro
    Kubuntu 7.04 Feisty Fawn

    [SOLVED] PunkBuster update failure

    I've just finished installing Gutsy, and downloaded the pbsetup.run executable from PunkBuster's web site. When I try to run it, it just exits. Making an echo $? shows an error code of 127. It is weird, because it is a statically linked binary, and my guess what that shouldn't be a problem in Gutsy.
    Can anyone confirm this or give me a hint?
    Thanks in advance.
    Best Regards,
    Juan

  2. #2
    Join Date
    Jun 2006
    Location
    Uruguay
    Beans
    35
    Distro
    Kubuntu 7.04 Feisty Fawn

    Re: PunkBuster update failure

    I've tried to run it back on a feisty box and worked. If you do a 'file pbsetup.run' in both boxes you get the same:
    -----------
    pbsetup.run: ELF 32-bit LSB executable, Intel 80386, version 1, statically linked, corrupted section header size
    -----------
    Is there some sort of compatibility mode or something?

  3. #3
    Join Date
    Jun 2006
    Location
    Uruguay
    Beans
    35
    Distro
    Kubuntu 7.04 Feisty Fawn

    Re: PunkBuster update failure

    Well, I still don't know what the problem is or how to solve it. However I find a workaround to avoid it.
    If you go to the folder where PB is located, in my case, /usr/local/games/enemy-territory/pb you will find a binary called pbweb.x86.
    if you do a
    chmod u+x pbweb.x86
    and then
    ./pbweb.x86
    it will update your game.
    in the case of enemy territory, you have to copy pbweb.x86 to ~/.etwolf and run it there.
    after that you are done.

  4. #4
    Join Date
    Jun 2006
    Location
    Uruguay
    Beans
    35
    Distro
    Kubuntu 7.04 Feisty Fawn

    Re: PunkBuster update failure

    The punkbuster team answered me. They have suggested to run upx -d pbsetup.run and that fixed the executable.
    Now it works neatly.
    I hope this helps someone else apart from me.
    Regards,
    Juan

  5. #5
    Join Date
    Jun 2006
    Location
    Toronto, Canada
    Beans
    242
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    Question Re: PunkBuster update failure

    Hey Juan, I have the same issue but with Call of Duty and punkbuster and Gutsy. I downloaded the same file from punkbuster and can't install it either. I tried 'upx -d pbsetup.run' however I get a 'command not found' error. Is there anything I'm doing wrong?

  6. #6
    Join Date
    Jun 2006
    Location
    Uruguay
    Beans
    35
    Distro
    Kubuntu 7.04 Feisty Fawn

    Re: PunkBuster update failure

    Quote Originally Posted by groovomata View Post
    Hey Juan, I have the same issue but with Call of Duty and punkbuster and Gutsy. I downloaded the same file from punkbuster and can't install it either. I tried 'upx -d pbsetup.run' however I get a 'command not found' error. Is there anything I'm doing wrong?
    Well, when you get an command not found, mean that the command you've just tried to run doesn't exists. As the only command you ran is 'upx' (1), it is possible that you don't have upx installed.
    to install it:
    Code:
    sudo apt-get install upx-ucl
    Next time, if you don't have an executable you can do a
    Code:
    apt-file search upx
    to see in which package upx is located.
    Let me know what happened.
    Best regards,
    Juan

    notes:
    (1) in 'upx -d pbsetup.run' the 'upx' part is the command and '-d pbsetup.run' are the argumetns for the command.

  7. #7
    Join Date
    Jun 2006
    Location
    Toronto, Canada
    Beans
    242
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    Re: PunkBuster update failure

    Ah yes, you've helped to solve my problem! To recap, if you download pbsetup.run from evenbalance.com, you need to install upx-ucl as per the instructions above. Then run 'upx -d pbsetup.run'. Then I did (as per instructions from evenbalance.com):chmod +x pbsetup.run, and then: ./pbsetup.run. Use sudo for all the commands. I finally got the application to run and was able to update punkbuster for both Enemy Territory and Call of Duty. I'm gonna try them both and post back on whether or not I get kicked for not using punkbuster.
    Thanks!
    Erik.

  8. #8
    Join Date
    Mar 2007
    Location
    127.0.0.1
    Beans
    507
    Distro
    Ubuntu Development Release

    Re: PunkBuster update failure

    Quote Originally Posted by groovomata View Post
    Ah yes, you've helped to solve my problem! To recap, if you download pbsetup.run from evenbalance.com, you need to install upx-ucl as per the instructions above. Then run 'upx -d pbsetup.run'. Then I did (as per instructions from evenbalance.com):chmod +x pbsetup.run, and then: ./pbsetup.run. Use sudo for all the commands. I finally got the application to run and was able to update punkbuster for both Enemy Territory and Call of Duty. I'm gonna try them both and post back on whether or not I get kicked for not using punkbuster.
    Thanks!
    Erik.
    That helped me!!
    Registered user267386
    Answear a post if you got time or if you just want to avoid doing something else...
    Underestimated help just as this little friend.
    Don't forget to close the threads once answered.

  9. #9
    Join Date
    Jun 2006
    Location
    Uruguay
    Beans
    35
    Distro
    Kubuntu 7.04 Feisty Fawn

    Re: PunkBuster update failure

    Quote Originally Posted by 1/0 View Post
    That helped me!!
    nice to hear that!

  10. #10
    Join Date
    May 2007
    Beans
    21
    Distro
    Gutsy Gibbon Testing

    Re: PunkBuster update failure

    Quote Originally Posted by drunken_sapo View Post
    The punkbuster team answered me. They have suggested to run upx -d pbsetup.run and that fixed the executable.
    Now it works neatly.
    I hope this helps someone else apart from me.
    Regards,
    Juan
    excelent, thanx

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •